#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/drivers/uart.h>


#define MSG_SIZE 32

static const struct device *uart_dev;

static const struct uart_config uart_cfg = {
    .baudrate = 115200,
    .parity = UART_CFG_PARITY_NONE,
    .stop_bits = UART_CFG_STOP_BITS_1,
    .data_bits = UART_CFG_DATA_BITS_8,
    .flow_ctrl = UART_CFG_FLOW_CTRL_NONE
};


int main(void)
{
char tx_buf[MSG_SIZE];

        uart_dev = DEVICE_DT_GET_OR_NULL(DT_NODELABEL(uart0));

	if (!device_is_ready(uart_dev)) {
		//printk("UART device not found!");
		return 0;
	}

        uart_configure(uart_dev, &uart_cfg);

        while(1)
        {
                uart_poll_out(uart_dev, 0x31);
                k_msleep(500);

        }
	
        return 0;
}
